# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-09-22 13:05
from __future__ import unicode_literals

from django.db import migrations


def repopulate_organization_field(apps, schema_editor):
    Partner = apps.get_model('partners', 'Partner')
    Organization = apps.get_model('organizations', 'Organization')

    for partner in Partner.objects.filter(organization__isnull=False):
        partner.org = Organization.objects.get(name=partner.organization.name)
        partner.save()


class Migration(migrations.Migration):

    dependencies = [
        ('partners', '0014_partner_org'),
    ]

    operations = [
        migrations.RunPython(repopulate_organization_field,
                             reverse_code=migrations.RunPython.noop),
    ]
